#pragma once

#include "ui.h"
#include "uielements.h"
#include "utils.h"

struct CommandEvent {
	std::string command;
};

typedef kek::GenericCallable<CommandEvent> CommandCallback;

class ConsoleElement: public kek::RectangleElement {

  public:
	kek::TextElement *textElement;
	kek::TextFieldElement *textFieldElement;

	CommandCallback onCommand;

	ConsoleElement(kek::UIValue x, kek::UIValue y, kek::UIValue w, kek::UIValue h);

	virtual ~ConsoleElement();

	void setText(std::string text);
};
